Update redirect rules
curl --request POST \
--url https://api.kinsta.com/v2/sites/environments/{env_id}/redirect-rules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"limit": 10,
"offset": 3,
"key": "domain",
"order": "ascend",
"search_query": "Search...",
"regex_search": "true",
"rules_to_update": [
{
"domain": "kinsta.com",
"from": "/redirect/from",
"to": "/redirect/to",
"traffic_from_city": "Nashville",
"traffic_from_country": "US",
"traffic_from_country_name": "United States",
"displayed_location": "Nashvile, United States"
}
]
}
'import requests
url = "https://api.kinsta.com/v2/sites/environments/{env_id}/redirect-rules"
payload = {
"limit": 10,
"offset": 3,
"key": "domain",
"order": "ascend",
"search_query": "Search...",
"regex_search": "true",
"rules_to_update": [
{
"domain": "kinsta.com",
"from": "/redirect/from",
"to": "/redirect/to",
"traffic_from_city": "Nashville",
"traffic_from_country": "US",
"traffic_from_country_name": "United States",
"displayed_location": "Nashvile, United States"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
limit: 10,
offset: 3,
key: 'domain',
order: 'ascend',
search_query: 'Search...',
regex_search: 'true',
rules_to_update: [
{
domain: 'kinsta.com',
from: '/redirect/from',
to: '/redirect/to',
traffic_from_city: 'Nashville',
traffic_from_country: 'US',
traffic_from_country_name: 'United States',
displayed_location: 'Nashvile, United States'
}
]
})
};
fetch('https://api.kinsta.com/v2/sites/environments/{env_id}/redirect-rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Bad request format",
"status": 400,
"data": "<unknown>"
}{
"message": "No or invalid API key provided to the request",
"status": 401,
"data": "<unknown>"
}{
"message": "Could not find data or the user does not have permissions to retrieve it",
"status": 404,
"data": "<unknown>"
}{
"message": "Error occurred while processing your request",
"status": 500,
"data": "<unknown>"
}WordPress Site Environments
Update redirect rules
POST
/
sites
/
environments
/
{env_id}
/
redirect-rules
Update redirect rules
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Example:
"54fb80af-576c-4fdc-ba4f-b596c83f15a1"
Body
application/json
Available options:
DELETE, DELETE_ALL, NEW, UPDATE Example:
10
Example:
3
Available options:
domain, from, to, type Example:
"domain"
Available options:
ascend, descend Example:
"ascend"
Example:
"Search..."
Available options:
true, false Example:
"true"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Successfully updated redirect rules
⌘I